### 1.2.2 视图浏览器
视图浏览器用于显示当前项目中工程场景和载入到当前工程的组件，如图1.2.2-1。展开和折叠各节点时，将显示或隐藏下一层节点。

<center>

![](/uploads/pro_import_version/images/m_39504ec3775fda8dd0b1f2206c5075c2_r.png)
</center>

<center>图1.2.2-1</center>

#### 自定义视图浏览器
若要更改视图浏览器位置，可用过拖动标题栏进行位置改变；若要改变视图浏览器尺寸，可通过拖动边界进行改变。对视图浏览器的大小和位置所做的改变将被保存，重新启动程序时恢复。
可通过右键对视图浏览器进行开启和关闭，如图1.2.2-2。
<center>

![](/uploads/pro_import_version/images/m_f2b7376ddf47606169ca4e2fe7bf1dde_r.png)
</center>

<center>图1.2.2-2</center>

#### 组织视图浏览器的工程场景节点
选中节点，右键弹出编辑菜单，如图1.2.2-3，可对选中节点进行新建子节点、重命名、删除等编辑操作。

<center>

![](/uploads/pro_import_version/images/m_0bc771670bd7c3ca3cac644f17aed9fa_r.png)
</center>

<center>图1.2.2-3</center>

*****
##### 1. 新建子节点
各节点下支持的新建类型：
工程场景：支持新建普通节点、场景节点。
普通节点：支持新建普通节点、场景节点。
场景：不支持新建任何子节点。

##### 2. 各子节点的说明以及支持的右键行为特征

* 工程场景
工程场景节点不支持存放任何模型。
单击右键，可新建<普通节点>和<场景>。如图1.2.2-4所示：

<center>

 ![](/uploads/pro_import_version/images/m_475d56ff6d1f8891c706cec403783da3_r.png)
 </center>
 <center> 图1.2.2-4</center>

* 普通节点
普通节点不支持存放任何模型。
单击右键，可新建<普通节点>和<场景>。
单击右键，可对当前节点重命名、可对当前节点及其节点下包含的内容进行删除操作。如图1.2.2-5所示：

<center>

![](/uploads/pro_import_version/images/m_924d235f8b8981f2d583d5f46355b4ae_r.png)
</center>

<center> 图1.2.2-5</center>

* 场景
单击右键，可对当前场景视图重命名和删除。如图1.2.2-6所示：

<center>

![](/uploads/pro_import_version/images/m_047e5a7fce2ee43802a7fedc0a6f6ee3_r.png)


图1.2.2-6
</center>

#### 组织视图浏览器的工程组件库节点

工程组件库以树的形式展示导入到工程文件中的组件的层级，树层级分为“工程组件库”根父节点、类别节点、组件名称节点、组件类型节点，以下为各个节点的详解：
- 根父节点：仅有一个，下级节点为组件节点；右键点击可以调出菜单，执行【导入】命令；
- 类别节点：显示组件的内置类别；
- 组件名称节点：显示当前环境中的组件的名称，双击可以进入组件编辑环境（内建组件不支持此操作）；右键点击可以调出菜单，执行【导出】【删除】等命令；
- 组件类型节点：显示该组件下的所有类型，类型后的括号内部数字表示该类型在当前环境的绘图区内的实例个数；右键点击可以调出菜单，执行【创建实例】命令；
*****
工程组件库点击右键可以对组件进行导入、删除、导出、创建实例、属性表这几种命令，以下为这几种命令的详细说明：

1. 导入：
可以将本地的组件导入到P3D文件中，选择命令会弹出如下图1.2.2-7的文件选择界面，在文件选择界面中可以选择并导入组件；在导入组件时会进行组件重复导入检测，如果检测到工程组件库中有一个与正在导入的组件名称相同、属性字段也相同（不会检测属性值是否相同）的组件时，会弹出图1.2.2-8所示的界面进行确认，界面各字段详解如下文

<center>

![](/uploads/202304/.topwrite/assets/image_1660637934060.png)

图1.2.2-7

![](/uploads/202304/.topwrite/assets/image_1660638650534.png)

 图1.2.2-8
 </center>
* 重命名：修改正在导入的组件的名称；
* 覆盖当前组件及其属性：覆盖当前组件的几何，导入完成后的组件的类型取两个组件的并集，用正在导入的组件的属性字段覆盖原组件的属性字段，但是不覆盖属性值；
* 覆盖当前组件及其属性和参数：覆盖当前组件的几何、属性字段和属性值，导入完成后的组件的类型数量取两个组件的并集。
 
2. 删除：
删除选中的节点及其所有子节点，并会删除该节点下的所有实例；
3. 导出：
将选中的节点导出为.bfa文件到本地；
4. 创建实例：
仅在类型节点有该选项，可以布置该类型的实例。