### 3.1.1 新建组件
#### 新建组件的入口
**入口一：从软件启动界面新建**
这种方式新建的组件将作为BFA文件保存在本地。
 
<center>

![](/uploads/pro_import_version/images/m_1766c869e6be51736dcdd9b6dbe4a94a_r.png)

图3.1.1-1

</center>

**入口二：从程序中“开始“选项卡按钮新建**
这种方式新建的组件将作为BFA文件保存在本地。

<center>

![](/uploads/pro_import_version/images/m_55f9e8f579a23f3a7ea678b586bed6b9_r.png)
![](/uploads/pro_import_version/images/m_d956c4f9d95d59979762a3c36624334d_r.png)

图3.1.1-2

</center>

**入口三：从P3D项目中新建**
这种方式新建的组件将保存在当前P3D项目中，也可以作为BFA文件保存在本地。
<center>

![](/uploads/pro_import_version/images/m_1c0a39fbe1593c264d272128a935bd97_r.png)

图3.1.1-3

</center>

<center>

![](/uploads/pro_import_version/images/m_0e7c39cb8bf1bc3e5d6a675ea7957e44_r.png)

图3.1.1-4

</center>


#### 组件环境介绍
在组件编辑环境中，除了有与工程环境中相同的图元、导入外部格式等工具外，还有以下功能按钮：包括属性管理、参数驱动、新建嵌套组件、载入到项目并关闭、取消等，如图3.1.1-5；
- 属性管理：建立组件自定义属性并进行统一管理。
- 参数驱动：建立组件属性与构件参数或构件参数之间的驱动关系。
- 保存BFA到本地：效果同【另存为![](/uploads/pro_import_version/images/m_42d1245f014c24fa838fb6122ea14783_r.png)】，保存当前编辑的内容为一个本地BFA。
- 新建嵌套组件：创建一个新的组件附加到当前组件编辑环境的组件库里，并可以将其布置到当前组件编辑环境中；
- 载入到项目并关闭：将当前已编辑组件保存至工程环境中的工程组件库中，并返回工程环境；
- 取消：取消所有编辑交互，退出当前编辑环境，返回上一层级环境中；

<center>

![](/uploads/pro_import_version/images/m_2c9b6af0aa407f51575d4dfb66d3bbe9_r.png)
图 3.1.1-5
</center>

#### 【属性管理】操作流程说明
（1）点击属性管理工具，弹窗“属性管理”对话框，如图3.1.1-6；对话框包括内置类别、组件类型、属性列表、属性编辑等；
 
 <center>
 
 ![](/uploads/pro_import_version/images/m_823193f6ca33034edd6c0e35952c60ab_r.png)
图 3.1.1-6
</center>

（2）“属性管理”对话框界面功能说明如下：
- 内置类别：对当前组件进行类别分组；
- 组件类型：一个组件可以设置多组属性值不同的组件类型；可通过下拉框进行选择交互，同时，组件类型支持新建、重命名、删除等操作；
- 属性列表：以表格的形式对组件属性进行统一管理，支持新建属性、复制属性、删除属性和属性上下移动；另外，在工程场景中布置组件实例后，选定组件其属性栏中会显示“属性管理”中自定义的组件属性；同时，“属性管理”中的组件属性可以应用于参数驱动中；
- 属性编辑：选定一条组件属性后，可以通过右侧属性编辑栏编辑该条属性的参数，包括属性名称、性质（类型属性、实例属性）、类型（整数、小数、文本、是否）、属性来源（自定义属性）、属性分组（默认分组）和说明等；

#### 【参数驱动】操作流程说明
（1）在ribbon栏中点击参数驱动命令，侧边栏即可出现参数驱动界面，如图 3.1.1-7，其界面功能说明如下：
- 新建：新建一个几何参数驱动；新建的参数驱动存在非法输入时，会进行错位标识（文字变为红色），鼠标悬停时，会tip提示对应的错位信息；
- 编辑：对选定参数驱动进行编辑，即对右侧输入驱动公式进行修改编辑；编辑参数驱动，除选定参数驱动对象后，点击编辑按钮进行编辑外，还支持双击激活右侧输入框进行编辑；
- 删除：删除当前勾选的参数驱动；
- 关联属性：罗列“属性管理”中的组件属性，可以作为参数驱动右侧输入框输入内容；
- 参数驱动列表：新建一条参数驱动公式，包括左侧输入框（被驱动对象）、右侧输入框（驱动公式）和中间驱动关系按钮（单向驱动和双向驱动）；单向驱动是指右侧输入公式驱动左侧被驱动的构件参数；双向驱动是指左右两侧输入内容可相互驱动；另外，如果右侧输入内容包括组件属性时，驱动关系默认变为单向驱动；


<center>

![](/uploads/pro_import_version/images/m_72685a9d6954b64de675efd43c358b4a_r.png)

图 3.1.1-7
</center>



（2）新建参数驱动操作流程如下：
- 点击“新建”按钮，命令行提示【按住Ctrl键-》点选构件-》选择关联属性】；
- 选定构件后，弹出参数选择框，可点击下拉按钮，选择指定构件参数，再点击“添加驱动”按钮，即可添加到参数驱动左侧输入框；如图3.1.1-8；

<center>

![](/uploads/pro_import_version/images/m_a7e31d899b2bc5e73b7e17ea44b1c7b3_r.png)
图 3.1.1-8
</center>

- 选定被驱动的构件参数后，右侧输入框自动激活，可以输入内容包括拾取的“构件参数”、既有的“组件属性”或数学运算公式等；输入完成后，单击回车键，即完成参数驱动创建；如图3.1.1-9

<center>

![](/uploads/pro_import_version/images/m_eabcc5b835e1e5b076ebd4f16806c4f9_r.png)
图 3.1.1-9
</center>

**注意：**
01.完成驱动设置后，选中构件，属性栏中置灰的参数表示为已被驱动的参数，且不可编辑。需要查找对应图元及驱动公式时，可通过属性栏最上方图元名称在右侧参数驱动菜单内对应查找，如图3.1.1-10：

<center>

![](/uploads/pro_import_version/images/m_f79cbebb72438ce8b93dbc190dc583b4_r.png)

图 3.1.1-10
</center>