## 3.2 组件布置

### 3.2.1 组件库
功能按钮如图3.2.1-1所示，点击按钮后调起组件库侧边栏，可以实现组件的快速布置。该库仅影响本地路径下保存的文件，不影响工程环境的文件。

<center>

![](/uploads/pro_import_version/images/m_edb37a6c05c77323368c709d06e5d16f_r.png)

图3.2.1-1
</center>


*****
#### 操作说明
1. 工具激活：
点击工具菜单，激活工具，弹出【组件库】操作界面，界面中有软件默认提供的各专业多种构件，部分支持参数化，如图3.2.1-2。

<center>

![](/uploads/pro_import_version/images/m_23273fd0231d80e394877f35cce01420_r.png)

图3.2.1-2
</center>

2. 组件库搜索

在界面上方搜索栏中，可以对当前选中的节点下的组件名称进行搜索。

3. 组件库新建

软件支持新增用户本地的组件库。点击【添加本地bfa文件夹】按钮，会弹出如图 3.2.1-3所示的对话框，需要手动填写【节点名称】，设置【本地文件夹路径】。

<center>

![](/uploads/pro_import_version/images/m_b5a5cb1438a708e1b815c04f2bb4ad69_r.png)

图3.2.1-3
</center>

点击【本地文件夹路径】右侧的三个句号，然后选择想要添加为库的文件夹，点击确定，如图3.2.1-4。

<center>

![](/uploads/pro_import_version/images/m_9afe8ac69528b8a44bd91d231b89ef34_r.png)

图3.2.1-4
</center>

本地文件夹被添加到节点中，可以预览其中的组件并布置。

<center>

![](/uploads/pro_import_version/images/m_06b0e230ed98605e957c637897d3f228_r.png)
图3.2.1-5
</center>

4. 组件库编辑—右键功能

在软件默认自带的节点上点击鼠标右键，可以看到如图3.2.1-6所示的右键菜单。

<center>

![](/uploads/pro_import_version/images/m_6996560dfddec54ef1ead8a998e09098_r.png)

图3.2.1-6
</center>

在用户添加的节点上点击鼠标右键，可以看到如图3.2.1-7所示的右键菜单。


<center>

![](/uploads/pro_import_version/images/m_9bcd12b80fa370cc43dcb8bdc2d4d7b4_r.png)

图3.2.1-7
</center>

* 编辑：点击编辑后，会出现如图 3.2.1-8所示的对话框

<center>

![](/uploads/pro_import_version/images/m_fad724a8f65a9ba7a7c271ca9d201aca_r.png)
图3.2.1-8
</center>

* 删除：点击【删除】后，该组件库会被清除出【组件库】，但是不会删除本地文件。
* 打开本地文件夹：选择【打开本地文件夹】后，可以打开当前组件库的本地位置。
*****

5. 组件预览及布置

* 预览
参数化组件预览效果如图3.2.1-9，其中上方是缩略图预览，中间是构件名称显示区域，下方是布置按钮

<center>

![](/uploads/202304/.topwrite/assets/image_1666677816694.png)

图 3.2.1-9
</center>

* 布置功能说明
点击后将选中的.bfa文件布置到绘图区，构件目前支持单点布置、旋转布置、两点布置、多点布置，构件所的布置方式由建模人员在建模时进行设置.

* 布置交互流程
1）点击【布置】按钮，即可弹出“编辑参数”对话框和抬头工具栏，可预先设置组件参数或在布置过程中设置组件参数；如图3.2.1-10；

<center>

![](/uploads/pro_import_version/images/m_eb6d8f15804f035ce7c94463e8deff31_r.png)

图 3.2.1-10
</center>

2）可通过抬头工具栏切换布置方式；点式构件的抬头工具栏包含单点布置和旋转布置，线型构件的抬头工具栏包含两点布置和多点布置，同时，还可以选择工作平面或拾取一个新的工作平面布置参数化组件；如图3.2.1-11；

<center>

![](/uploads/pro_import_version/images/m_04a5d0f5dbd467879f6b9f365925796a_r.png)
![](/uploads/pro_import_version/images/m_4c1cc165cfc9d9e2b72de1ee9d89b0ec_r.png)

图 3.2.1-11
</center>

3）在未开启工作平面时，是基于WCS坐标系的XOY面布置参数化组件；如图3.2.1-12；

<center>

![](/uploads/pro_import_version/images/m_e5061f515d6d8a3608d0f4e2987bd9cb_r.png)

图 3.2.1-12
</center>

4）当开启工作平面时，是基于工作平面坐标系的XOY面布置参数化组件；如图3.2.1-13；

<center>

![](/uploads/pro_import_version/images/m_941f908b2032341ce16c86c873e06f1f_r.png)

图 3.2.1-13
</center>