# 第九章 场地建模
*****

## 9.1场地
*****

### 9.1.1创建场地
创建场地工具可以依据在位编辑环境中的高程点数据生成对应的地形构件。
*****

#### 操作步骤
**1. 激活功能命令**
- 在ribbon菜单中点击【创建场地】工具，会弹出新建对话框，输入地形名称即可进入在位编辑环境，如图9.1.1-1；

<center>

![](/uploads/pro_import_version/images/m_87b0fc0ab9fa012b8149d47866946d09_r.png)
图9.1.1-1
</center>


**2. 创建高程点**
- 创建高程点的方式有两种：

2.1 通过【布置高程点】工具创建高程点：
- 激活【布置高程点】工具，追踪器面板会显示高程点；通过鼠标点击交互时，单击鼠标左键即可根据光标位置生成对应的高程点，如图9.1.1-2；

<center>

![](/uploads/pro_import_version/images/m_9818d440bc139e223433b3fc227e4a9d_r.png)
图9.1.1-2
</center>

- 通过追踪器输入时，单击Tab键，即可输入高程点数值；再次单击Tab键，可显示直角坐标参数，输入对应坐标值即可确定高程点位置，如图9.1.1-3；

<center>

![](/uploads/pro_import_version/images/m_7d36969aec891791d2fbc9b225320589_r.png)

图9.1.1-3
</center>


2.2 通过【选择参照文件】工具拾取参照文件，选择指定图层生成对应的高程点：
- 激活【选择参照文件】工具，在在位编辑环境中拾取已参照的底图文件，右键确认后，自动弹窗选择图层对话框，如图9.1.1-4；可选择指定图层，在单击【确定】按钮，即可生成对应的高程点；如图9.1.1-5；

<center>

![](/uploads/pro_import_version/images/m_973b323a307c7222bd2725f2c805cc5b_r.png)

图9.1.1-4
</center>

<center>

![](/uploads/pro_import_version/images/m_2564d7622989f627f1f6eb822adedcfa_r.png)

图9.1.1-5
</center>

**3. 完成创建**
- 点击【完成】命令，即可生成地形构件，并退出在位编辑环境；如图9.1.1-6；

<center>

![](/uploads/pro_import_version/images/m_fea0a97c684913bc31da866659945db4_r.png)

图9.1.1-6
</center>

注：如果在在位编辑环境中，可以通过点击【预览地形】和【取消预览】工具，将已布置的高程点生成地形进行预览，检查是否满足创建需求；另外，在位编辑环境中的预览地形，不会随高程点变幻而实时更新，只有再次单击【预览地形】工具才会更新预览地形；

#### 编辑交互
**1. 属性栏编辑交互**

- 选定地形构件后，可通过编辑属性栏中名称、深度、材质等参数对地形进行编辑交互；如图7；
  **深度：**指地形在生成后，基于原有的三角面片，再根据输入参数值，延世界坐标系Z轴方向进行拉伸，给地形增加一个厚度效果；最终得到的地形构件数据定义需保持不变；
  **材质：**给地形附着一个纹理贴图，同时支持通过材质库工具给选定地形附着纹理贴图；


<center>

![](/uploads/pro_import_version/images/m_f6f8265ded3773358c1564ac20c81ea5_r.png)

图9.1.1-7
</center>

**2.编辑地形构件**
- 选定地形构件后，可点击ribbon菜单中的【编辑地形】，进入在位编辑环境；
- 或选定地形构件，双击鼠标左键弹出提示对话框，点击【确定】按钮后，即可进入在位编辑环境对地形高程点进行编辑交互；如图8；
- 选定地形构件后，还可以通过移动、复制等编辑工具，对地形构件进行编辑交互。需要注意的是移动或复制地形构件后，附着于该地形的面域、基坑构件也会同步进行移动或复制；

<center>

![](/uploads/pro_import_version/images/m_313f3ebe52fd2214c6f4bea5b069a7ec_r.png)

图9.1.1-8
</center>