## 9.4基坑
*****

### 9.4.1基坑
基坑工具可以依据在位编辑环境中的二维闭合轮廓线数据生成附着于地形的基坑构件。
*****

#### 操作步骤
**1. 激活功能命令**
- 激活【基坑】工具，命令行提示“请选择一个地形，右键确认”。拾取一个地形构件后，右键确认即可进入在位编辑环境中；如图9.4.1-1；

<center>

![](/uploads/pro_import_version/images/m_d94e716b355ecf53bf1ecc2961cf670f_r.png)
图9.4.1-1
</center>

**2. 绘制面域轮廓线**
- 可以通过ribbon菜单中图形面板里的工具（线段、多段线、矩形线、任意多边形线、正多边形线、拾取线等）绘制基坑轮廓线，同时支持对基坑轮廓线进行线编辑等操作；如图9.4.1-2。
注：ribbon中创建面域菜单下的图形工具与图元建模中的图形工具功能一致。

<center>

![](/uploads/pro_import_version/images/m_c691984221e693986e932e006d7df0a6_r.png)
图9.4.1-2
</center>

- 选定任意基坑轮廓边线，支持修改该边坡坡度值，同时，边坡坡度支持单选与多选；如图9.4.1-3；

<center>

![](/uploads/pro_import_version/images/m_0237be5688723155a03f5407e67d1010_r.png)
图9.4.1-3
</center>


- 点击视口空白处，可显示视图属性栏，包含底面标高等参数，如图9.4.1-4；

<center>

![](/uploads/pro_import_version/images/m_796a985e16b574ebd8e16e5de6a3da3a_r.png)
图9.4.1-4
</center>


**3. 完成创建**
- 绘制完基坑轮廓线后，点击【完成】命令即可生成附着于地形的基坑构件，同时退出在位编辑环境。如图9.4.1-5。

<center>

![](/uploads/pro_import_version/images/m_2a532c176c642c834482dee7d3e5b158_r.png)
图9.4.1-5
</center>

#### 操作步骤
**1. 属性栏编辑交互**

- 选定基坑构件后，可通过编辑属性栏中底面标高等参数对基坑进行编辑交互；如图9.4.1-6。
  **底面标高：**当输入值低于地形高程点时，呈现土方开挖效果，当输入值高于地形高程点时，呈现土方回填效果；
 **投影面积：**即在位编辑环境中绘制基坑轮廓线时的闭合平面面积；
 **扣减体积：**基坑底面标高低于地形高程点时，对地形进行开挖的体积；
 **填充体积：**基坑底面标高高于地形高程点时，对地形进行填充的体积；

<center>

![](/uploads/pro_import_version/images/m_0e577480089d6920551f8784a504b24c_r.png)

图9.4.1-6
</center>

**2. 双击编辑基坑构件**
- 选定基坑构件后，可以点击ribbon菜单中的【编辑基坑】工具，进入在位编辑环境；
- 选定基坑构件后，可双击鼠标左键弹出提示对话框，点击【确定】按钮后，即可进入在位编辑环境对基坑轮廓线进行编辑交互；如图9.4.1-7。

<center>

![](/uploads/pro_import_version/images/m_4ea0ce9124db779415d61cf98805e007_r.png)
图9.4.1-7
</center>