## 9.5拟建建筑
*****

### 9.5.1拟建建筑
拟建建筑工具可以拾取到的二维闭合轮廓线或平面图元生成彼此独立的拟建建筑。
*****

#### 操作步骤
**1. 激活功能命令**
- 点击【拟建建筑】工具，命令行提示“请选择闭合轮廓，右键确认”，同时弹窗抬头工具栏，如图9.5.1-1；

<center>

![](/uploads/pro_import_version/images/m_6d81a57893184f28fb39bfec0dc385cd_r.png)

图9.5.1-1
</center>

- 参数说明
 1）材质：拟建建筑外立面贴图材质，默认设置为“白模”，还包含“白模”、“玻璃幕墙1”、“玻璃幕墙2”、“混凝土框架”、“外立面01”、“外立面02”、“外立面03”、“外立面04”等等；
 2）总高度：拟建建筑的建筑总高度；
 3）层高：拟建建筑单层层高；
 4）层数：拟建建筑的总楼层数量；
 5）女儿墙：拟建建筑顶楼是否设置女儿墙，女儿墙固定尺寸200*1200;


**2. 拾取有效轮廓对象**
- 拾取有效轮廓对象时，支持单选和框选，支持有效对象包含二维闭合轮廓线、平面图元等，同时支持拾取参照底图和导入DWG文件中的闭合轮廓线对象；如图9.5.1-2


<center>

![](/uploads/pro_import_version/images/m_cc415fb3f6a2552dee1cfc455695756b_r.png)
图9.5.1-2
</center>


**3. 完成创建**
- 对已拾取对象进行合规性判断，满足合规性条件的轮廓对象即可生成拟建建筑，不满足合规性条件的轮廓保持原有图元不变；注：框选生成的拟建建筑彼此之间相互独立存在；如图9.5.1-3；

<center>

![](/uploads/pro_import_version/images/m_e2aff6c0794d0de0d101923543c45bb2_r.png)
图9.5.1-3
</center>


#### 编辑交互
- 通过【拟建建筑】工具生成的拟建建筑，选定对象后，可以通过属性栏修改其他参数，如几何参数、几何属性、属性；如图9.5.1-4；

<center>

![](/uploads/pro_import_version/images/m_5d7bfd30b1156bff6cfbc1783c3f5b1e_r.png)
图9.5.1-4
</center>

注：拟建建筑属性栏中，几何参数为拟建建筑底面轮廓中心点坐标值；几何属性可以对拟建建筑底面轮廓进行二次编辑交互，同时还可以替换截面集中已有截面数据；属性包含的是抬头工具栏中的设置属性，支持二次编辑交互，同时还增加了“显示名称”、“显示高度”和“显示层数”三条参数，即可以在拟建建筑顶部，通过是三维文字显示拟建建筑单体信息；如图9.5.1-5；

<center>

![](/uploads/pro_import_version/images/m_16d5e6e4189ce99ca8ac1be29a79aff8_r.png)
图9.5.1-5
</center>