### 6.2.5 编辑组

创建完成的组合在需要时可以进行进一步的编辑，包括向组合中添加和删除的构件。
**注意：**这里的编辑指的是对组合内部构件的几何参数、位置以及内容等的修改。这些编辑操作不会影响组合的整体定义，只会影响构件级别的变化，能够调整组合的每个组成部分。


#### 操作步骤
**1. 激活编辑组的命令：**（可以通过三种方式）
- （1）在绘图区选中（已激活的）组合，点击Ribbon菜单中的【编辑组】按钮，即可弹出编辑组对话框。
- （2） 点击ribbon菜单中的【编辑组】，命令行提示：请选择单个组合，点击右键确认。按照命令行提示，选择相应组合，右键确认，即弹出编辑组对话框。
- （3） 在组合树列表中，选中一个组合（不限制组合状态）。展开右键菜单，点击【编辑组】按钮，即可弹出编辑组对话框。

编辑组环境，如图6.2.5-1所示：

<center>

![](/uploads/pro_import_version/images/m_33caaa5628f2343dd1dab04aac81ca23_r.png)
图6.2.5-1
</center>

2. 在编辑组环境下，我们可以向现有的组合中添加新的构件，也可以删除组合中的特定构件，可以根据项目需求对组合的构成进行精确的控制。
- （1）添加：
点击编辑组对话框中的【添加】按钮，根据命令行提示，选中想要添加进入组合的构件（可多选），单击右键确认。如下图所示。添加成功后，我们可以看到组合的包围盒子已经包含新加入的构件，如下图所示。


- （2）删除：
点击编辑组对话框中的【删除】按钮，根据命令行提示，选中想要从组合中删除的构件（可多选）。此时，被删除的构件会从高亮变回非高亮。单击右键确认。如下图所示。
删除成功后，我们可以看到组合的包围盒子已经不包含删除的构件，如下图所示。

3. 在完成所有的编辑操作之后，点击【完成】可以保存已做出的更改，对话框关闭。如果不想保存刚才的操作，可以点击【取消】放弃已做出的更改，在编辑过程中轻松取消操作。

4. 点击【完成】或【取消】后，弹出保存组合更改的对话框。如下图所示，支持选择将更改保存到该组合，或者将保存后的组合重命名。点击确认，关闭对话框，结束组合编辑。