### 6.7.6 阵列
“阵列”工具用于创建选定图元的线性阵列、矩形阵列或环形阵列。
*****
#### 操作步骤

**1. 选择要阵列的图元。**
可以先激活工具再选中图元，右键确认，也可以先选中图元再激活阵列工具。
**2. 确定阵列的基点。**
左键单击/追踪器输入确定阵列基点的位置，此时阵列基点出出现临时坐标系图标。
**3. 确定阵列的基准面。**
旋转切换临时坐标系方向以改变阵列基准面（临时坐标系的XOY面），选定合适的阵列基准面之后右键确认。
**4. 阵列参数设置并确定生成阵列结果。**
（确定阵列基点和阵列基准面后弹出的参数面板）设置阵列的参数，点击【确定】按钮，完成阵列退出工具。

#### 参数设置说明
##### 1. 计算模式选择
提供三种计算方案选择，等号右侧的间距和个数做为输入的条件参数，左侧的总跨度为计算结果不必输入。
用户可以根据当前已知的条件的不同情况选择不同的计算方式。

##### 2. 参数
该组参数是针对线性阵列/矩形阵列/环形阵列等不同阵列方式分别提供的参数输入项。

<center>

![](/uploads/pro_import_version/images/m_de56f72fa66cbe9a71df74aeaa0610ea_r.png)

图6.7.6-1 线性阵列参数设置
</center>

<center>

![](/uploads/pro_import_version/images/m_0394b9e0fc8e8576f08c393868181265_r.png)

图6.7.6-2 矩形阵列参数设置
</center>

<center>

![](/uploads/pro_import_version/images/m_d31faa29041bd81d7f6597fb69bf7b09_r.png)

图6.7.6-3 环形阵列参数设置
</center>

##### 3. 约束设置
可以通过一些选项的勾选设置，对阵列结果进行调整。
- 【约束在平面方向】：
勾选时可以将阵列结果约束在当前阵列基准面上，且不允许输入垂直增量。
不勾选时可以输入垂直增量，即可以在阵列基准面上阵列的同时，累加一个垂直高度方向的距离增量。
- 【构件旋转】（仅环形阵列有）：
可以控制构件是否随着环形阵列旋转构件本身的角度。

#### 交互过程中设置参数的方法说明
##### 帮助提示
点击参数栏右侧的【帮助】按钮，可以弹出示意图界面，用户可以根据示意图了解当前阵列的几个参数内容。
当用户的光标点击激活到不同的输入框时，示意图中对应当前输入的参数会高亮标注，帮助用户识别当前输入的参数对象。

<center>

![](/uploads/pro_import_version/images/m_6c78e05e67c1ccfe3d62c2d46a7ceef1_r.png)

图6.7.6-4 参数输入示意图
</center>

##### 两种参数输入方式：
1. 键盘输入：
可以通过键盘操作直接输入数值到参数输入框中。
1. 屏幕取值：
激活参数输入框右侧的【屏幕取值】按钮，可以通过鼠标交互在屏幕视口中选取两个点或一个点，程序将测量计算得到的距离或角度值自动录入到对应的参数输入框中。



#### 交互过程中旋转临时坐标系生效说明
指定阵列基点后出现临时坐标系时，可以旋转切换改变临时坐标系的方向，即调整阵列基准面的方向（临时坐标系XOY面=阵列基准面）。
右键确认阵列基准面后弹出阵列参数设置面板，此时临时坐标系的方向（阵列基准面）不允许旋转切换生效。


#### 补充说明
1. 阵列的个数包括原件，例：阵列构件A，个数选择2，则得到两个构件A。