### 4.1.5正多边形线
正多边形线工具可以绘制正多边形线框图元，包含外接圆布置、内切圆布置和边长布置等绘制方式。
*****
#### 绘制
**1. 绘制流程**
激活正多边形线工具后抬头栏中可以输入正多边形线的边数：如图1

<center>

![](/uploads/pro_import_version/images/m_788004fd20675fdcda0b811aff0fe538_r.png)
图1
</center>

外接圆布置、内切圆布置和边长布置，都是通过依次确定两个点的位置来完成正多边形线的绘制，如图2为外接圆布置；

<center>

![](/uploads/pro_import_version/images/m_cdad551b81839d6bea1144c2bd45dd5b_r.png)
图2
</center>

**2. 绘制点的方法说明**
在每一点绘制的时候的确定点的方式有两种：

* 通过鼠标交互在视口中点击指定（包括捕捉点的方式）：
鼠标点击交互时，追踪器面板和视口中模型位置会显示几何参数或坐标参数提示。如图3

<center>

![](/uploads/pro_import_version/images/m_3085a12ff32f0eb8b1a661a838ec79cb_r.png)
图3
</center>

* 通过tab进入追踪器面板输入对应的参数确定目标点：如图4

<center>

![](/uploads/pro_import_version/images/m_8a09a58f9fe36002c180692cbd444c9f_r.png)
图4
</center>

参数输入过程中模型视口中会对输入的参数项进行对应的参数标注预览提示。参[4.0.2交互机制](../../4.0.2交互机制.md)。

XYZ直角坐标系输入可以切换输入相对坐标或绝对坐标。如图5和图6

<center>

![](/uploads/pro_import_version/images/m_b5476615ca47681e0725e1f3caa6c96a_r.png)
图5 相对坐标输入

![](/uploads/pro_import_version/images/m_744039fc1e873023d680a60a44b57475_r.png)
图6 绝对坐标输入
</center>

**3. 绘制点过程中旋转临时坐标系生效说明**
* 鼠标交互过程中通过快捷键【R】或【shift+R】可以旋转临时坐标系来改变绘图平面,旋转临时坐标系的机制参 [4.0.1临时坐标系（详解）](../../第四章图元建模.md/4.0精确建模交互统一机制.md/4.0.1临时坐标系（详解）.md)。


#### 夹点编辑
**1. 选中显示**
选中绘制完成的正多边形线会显示对应的可编辑的夹点，实体坐标系：如图7

<center>

![](/uploads/pro_import_version/images/m_eb6519f41b8f1a00fb89152a0e4bfdfb_r.png)
图7
</center>

**2. 各个夹点的行为特征介绍**
* 实体坐标系原点：拖拽夹点或者追踪器面板输入坐标参数可以移动正多边形线的位置。
* 顶点：拖拽夹点或者追踪器面板输入坐标参数可以改变正多边形线的外接圆/内切圆半径参数。
* 边线中点：拖拽夹点或者追踪器面板输入坐标参数可以改变正多边形线的外接圆/内切圆半径参数。

**3. 夹点编辑过程中旋转临时坐标系生效说明**
* 拖拽实体坐标系原点时旋转临时坐标系可以生效，坐标参数输入是与临时坐标系相关的。
* 拖拽其他夹点时旋转临时坐标系不生效。

#### 属性面板显示
* 属性面板中显示正多边形线的定位坐标和对应的几何参数。如图8
* 定位坐标表示的是正多边形线实体坐标系原点在WCS坐标系下的坐标定位。

<center>

![](/uploads/pro_import_version/images/m_6017c69ba0eccf279422d2d02c4295e5_r.png)
图8
</center>