### 4.4.2 旋转体
基于在位编辑环境，可以通过绘制、拾取和选择截面方式绘制截面对象，再绘制旋转轴并指定起始角度和终止角度来生成旋转体，功能位置如图1。

<center>

![](/uploads/pro_import_version/images/m_d79bef540fd2cdfd9f130b7a01208379_r.png)
图1

</center>

*****
#### 旋转体在位编辑环境

1. 在造型面板中单击“旋转体”功能按钮，激活命令，即可进入旋转体在位编辑环境中，支持编辑、编辑器、创建截面、布置旋转轴功能外，其他菜单功能均置灰不可用，如图2；

<center>

![](/uploads/pro_import_version/images/m_ce0531284fc83b21f80e355ef833b894_r.png)
图2
</center>

2.旋转体在位编辑环境下，截面对象和旋转轴均支持通用编辑交互，另外，只有先创建完截面对象后，才可以继续布置旋转轴。当截面对象删除时，同步删除旋转轴。

#### 创建截面对象
1. 在旋转体在位编辑环境中，创建截面对象方式有三种，包含【绘制截面】、【拾取截面】和【选择截面】等，如图3；


<center>

![](/uploads/pro_import_version/images/m_03e8a792c948cb89f341542e53cbb683_r.png)
图3
</center>

2.【绘制截面】方式：
- 激活【绘制截面】工具，进入绘制截面在位编辑环境中，可通过线绘制工具箱绘制闭合轮廓线；如图4；
- 当未提前设置工作平面时，会依据绘制的第一个对象，按一定规则生成一个工作平面，后续线段都会基于该工作平面来绘制；
- 当通过工作平面相关工具预先指定一个工作平面后，那么后续线段都会基于该工作平面来绘制；
- 闭合轮廓绘制完成后，点击【完成】按钮，当符号截面轮廓有效性时，会保持截面对象并返回旋转体在位编辑环境。

<center>

![](/uploads/pro_import_version/images/m_2fd09e563e0d2610cb88dc10da99d871_r.png)
图4
</center>

3.【拾取截面】方式：
- 激活【拾取截面】工具后，可以直接拾取工程环境中有效的闭合截面轮廓作为截面对象；拾取完截面对象后，右键确认，当符号截面轮廓有效性时，直接生成截面对象；当不符合截面轮廓有效性时，会进行弹窗提示，如图5；

<center>

![](/uploads/pro_import_version/images/m_9872a7e07e7975788c72e5279eb6e1d6_r.png)
图5 

</center>

4.【选择截面】方式：
- 激活【旋转截面】工具后，点击截面下拉框，在弹出的“截面选择框”中选择截面集中的既有截面数据作为截面对象，在截面选择框中双击截面对象即可引用。
- 选定好截面对象后，先指定基点位置，再指定截面旋转角度，截面对象即可布置成功；如图6

<center>

![](/uploads/pro_import_version/images/m_7247412db038a852cfc3f549cc1c4472_r.png)
图6

</center>

5.注意事项：
- 通过【拾取截面】方式生成的截面对象，可以点击【绘制截面】进入截面编辑环境进行二次编辑交互；
- 通过【选择截面】方式布置的截面对象，只能退出旋转体在位编辑环境，通过截面集对截面对象进行二次编辑修改；
- 当旋转体在位编辑环境中已存在一个有效的截面对象时，再次点击其他截面绘制方式，统一弹窗提示，如图7，即需要删除已有截面对象，才能重新创建新的截面对象；

<center>

![](/uploads/pro_import_version/images/m_d6633a067cfa89ac1fd656576041ff28_r.png)
图7

</center>

#### 布置旋转轴
确定截面对象后，可以通过鼠标交互或追踪器输入，分别指定旋转轴起点和终点位置，来创建旋转轴，如图8；

<center>

![](/uploads/pro_import_version/images/m_c6678b43a93033fe4163eb21f62943bb_r.png)
图8
</center>

#### 设置起始角度和终止角度
- 确定截面对象和旋转轴后，会按默认设置显示360度时的旋转体造型；用户可以通过侧边栏中的旋转体参数分别设置起始角度和终止角度来生成需要的旋转造型；如图9；
- 设定好起始角度和终止角度后，点击【完成】按钮，会按预览的几何造型生成对应的旋转体；

<center>

![](/uploads/pro_import_version/images/m_0a92dee6b965ec79409cc090f4f438d8_r.png)
图9
</center>


#### 编辑交互
1. 选定旋转体后，属性栏中几何参数包含参数：构件原点XYZ坐标值、终止角度和起始角度；几何属性包含：编辑截面、替换截面、颜色；如图10;
- 构件原点XYZ坐标值：改变旋转体在空间中的具体位置；
- 终止角度：基于截面对象，按顺时针方向绕旋转轴的扫掠角度；（造型体始终是按顺时针方向，从起始角度向终止角度生成几何造型）
- 起始角度：基于截面对象，按顺时针方向绕旋转轴的扫掠角度；（造型体始终是按顺时针方向，从起始角度向终止角度生成几何造型）
- 编辑截面：如果是常规截面对象，点击编辑截面，可进入截面编辑环境修改截面轮廓；如果是临时截面对象，则不支持编辑；
- 替换截面：点击后，会弹出“截面选择框”，可以切换截面对象；
- 颜色：可通过颜色选择框指定需要的颜色；

<center>

![](/uploads/pro_import_version/images/m_b58f73835ad1d82eff2a6ec91838dc91_r.png)
图10
</center>

2. 选定旋转体后，在视口中显示旋转体的夹点，可以通过鼠标交互拖拽夹点对旋转体进行修改,如图11;
- 局部系原点处的夹点：拖拽后，整体移动旋转体位置；
- 旋转轴上的夹点：拖拽后，可改变旋转体扫掠轨迹的半径大小；
- 起始角度/终止角度的夹点：拖拽后，可以改成旋转体的扫掠角度；

<center>

![](/uploads/pro_import_version/images/m_e739f8f6243167cfcd4794b78260ead9_r.png)
图11
</center>