### 4.4.3 拉伸体
基于在位编辑环境，可以通过绘制、拾取和选择截面方式绘制截面对象，再自定义拉伸起点、拉伸终点值或通过夹点拖拽指定位置来生成拉伸体。功能位置如图1:
<center>

![](/uploads/pro_import_version/images/m_1d52844f201b8a4c8f759bde27dd6032_r.png)
图1
</center>

*****
#### 拉伸体在位编辑环境
1. 在造型面板中单击“拉伸体”功能按钮，激活命令，即可进入拉伸体在位编辑环境中，支持编辑、编辑器、创建截面、拉伸方式功能外，其他菜单功能均置灰不可用，如图2；

<center>

![](/uploads/pro_import_version/images/m_e45ae31172d07ea8877ae243f982588e_r.png)
图2
</center>

2.拉伸体在位编辑环境下，截面对象支持通用编辑交互，另外，当对截面对象进行通用编辑后，拉伸方向线同步更新。

#### 创建截面对象
1. 在拉伸体在位编辑环境中，创建截面对象方式有三种，包含【绘制截面】、【拾取截面】和【选择截面】等，如图3；


<center>

![](/uploads/pro_import_version/images/m_fddcc50f136730caf38627ba5659fae5_r.png)
图3
</center>

2.【绘制截面】方式：
- 激活【绘制截面】工具，进入绘制截面在位编辑环境中，可通过线绘制工具箱绘制闭合轮廓线；如图4；
- 当未提前设置工作平面时，会依据绘制的第一个对象，按一定规则生成一个工作平面，后续线段都会基于该工作平面来绘制；
- 当通过工作平面相关工具预先指定一个工作平面后，那么后续线段都会基于该工作平面来绘制；
- 闭合轮廓绘制完成后，点击【完成】按钮，当符号截面轮廓有效性时，会保持截面对象并返回旋转体在位编辑环境。

<center>

![](/uploads/pro_import_version/images/m_1866e65d2fc025196395e22df74ebbfd_r.png)
图4
</center>

3.【拾取截面】方式：
- 激活【拾取截面】工具后，可以直接拾取工程环境中有效的闭合截面轮廓作为截面对象；拾取完截面对象后，右键确认，当符号截面轮廓有效性时，直接生成截面对象；当不符合截面轮廓有效性时，会进行弹窗提示，如图5；

<center>

![](/uploads/pro_import_version/images/m_b4cee7cda08f4d16f45dabb046aa36e6_r.png)
图5 

</center>

4.【选择截面】方式：
- 激活【旋转截面】工具后，点击截面下拉框，在弹出的“截面选择框”中选择截面集中的既有截面数据作为截面对象，在截面选择框中双击截面对象即可引用。
- 选定好截面对象后，先指定基点位置，再指定截面旋转角度，截面对象即可布置成功；如图6

<center>

![](/uploads/pro_import_version/images/m_7247412db038a852cfc3f549cc1c4472_r.png)
图6

</center>

5.注意事项：
- 通过【拾取截面】方式生成的截面对象，可以点击【绘制截面】进入截面编辑环境进行二次编辑交互；
- 通过【选择截面】方式布置的截面对象，只能退出旋转体在位编辑环境，通过截面集对截面对象进行二次编辑修改；
- 当在位编辑环境中已存在一个有效的截面对象时，再次点击其他截面绘制方式，统一弹窗提示，如图7，即需要删除已有截面对象，才能重新创建新的截面对象；

<center>

![](/uploads/pro_import_version/images/m_d6633a067cfa89ac1fd656576041ff28_r.png)
图7

</center>


#### 设置拉伸方式
1.【垂直拉伸】方式：
- 确定截面对象后，延截面的法线方向，根据侧边栏中的拉伸起点和拉伸终点值生成对应的几何形体。如图8：
- 还可以通过点击拉伸方向线，拖拽两端夹点来设置拉伸高度；如图9；

<center>

![](/uploads/pro_import_version/images/m_57654f29deda802befa3e42e1a36f818_r.png)
图8
</center>

<center>

![](/uploads/pro_import_version/images/m_47745f402c67e4ed6c1820f1e178c5de_r.png)
图9
</center>

2.【斜向拉伸】方式：
- 确定截面对象后，拉伸方向不受限制，缺省状态下，默认沿截面对象XOZ面45度角倾斜，如图10：
- 还可以通过点击拉伸方向线，拖拽两端夹点来设置拉伸高度和拉伸方向；

<center>

![](/uploads/pro_import_version/images/m_04a3519660787ca77c6b4be941f2963e_r.png)
图10
</center>

3.确定拉伸方式后，通过侧边栏设置拉伸起点和拉伸终点值后，点击【完成】按钮，即可生成拉伸体；拉伸起点和拉伸终点均是相对于截面对象法线方向的垂直距离；如图11；

<center>

![](/uploads/pro_import_version/images/m_ecb46a0b60ac23b77606c5e69c649e64_r.png)
图11
</center>

#### 编辑交互
1. 选定拉伸体后，属性栏中几何参数包含参数：构件原点XYZ坐标值、拉伸终点和拉伸起点；几何属性包含：编辑截面、替换截面、颜色；如图12;
- 构件原点XYZ坐标值：改变拉伸体在空间中的具体位置；
- 拉伸起点：相对于截面对象法线方向的垂直距离；
- 拉伸终点：相对于截面对象法线方向的垂直距离；
- 编辑截面：如果是常规截面对象，点击编辑截面，可进入截面编辑环境修改截面轮廓；如果是临时截面对象，则不支持编辑；
- 替换截面：点击后，会弹出“截面选择框”，可以切换截面对象；
- 颜色：可通过颜色选择框指定需要的颜色；

<center>

![](/uploads/pro_import_version/images/m_ecd8d2a3943c93b1178554224b1e801f_r.png)
图12
</center>

2. 选定拉伸体后，在视口中显示拉伸体的夹点，可以通过鼠标交互拖拽夹点对拉伸体进行修改,如图13;
- 局部系原点处的夹点：拖拽后，整体移动拉伸体；
- 拉伸起点/拉伸终点的夹点：改变拉伸起点/拉伸终点相对于截面对象法线方向的垂直距离；

<center>

![](/uploads/pro_import_version/images/m_4dcf71cc53afda8e33779427164dca7e_r.png)
图13
</center>