### 4.4.4 多截面融合
基于在位编辑环境，可以自由绘制多个截面对象来生成融合体。另外，还可以对截面对象进行通用编辑操作、编辑截面角点、逆向排序和定义截面对象融合顺序等等操作。如图1；


<center>

![](/uploads/pro_import_version/images/m_836dbd5e430fc6d913a898f182597608_r.png)
图1
</center>


*****
#### 多截面融合操作流程
1.激活【多截面融合】工具，进入多截面融合在位编辑环境，如下图2：

<center>

![](/uploads/pro_import_version/images/m_ba4b45d6b57e56881f72399b6a9d470c_r.png)
图2
</center>

2.可以点击“创建截面”或“拾取截面”工具绘制截面图元。如点击“创建截面”，则会进入创建截面在位编辑环境，可以通过线工具箱绘制闭合轮廓线，最后点击“完成”按钮，即可返回第一层在位编辑环境，如下图3。这里需要注意，进入该环境后，会默认设置一个工作平面，也可以通过工作平面创建工具或编辑工具，在指定位置创建新的工作平面或将工作平面移动至指定位置；

<center>

![](/uploads/pro_import_version/images/m_a3b5423190e3c9b5588e98a3100cb6b8_r.png)
图3
</center>

3.可以通过“创建截面”或“拾取截面”工具继续绘制截面图元；如果点击“拾取截面”工具，则可以在视口中拾取已有的闭合轮廓线或平面对象，右键确认即可自动生成新的截面对象；另外，“拾取截面”工具支持选择多个闭合轮廓线或平面对象；如图4；

<center>

![](/uploads/pro_import_version/images/m_dc4119f39e7b12000afd19ff9f06ff1c_r.png)
图4
</center>

4.最后，第一层在位编辑环境中至少要存在两个以上截面图元才可以创建一个多截面融合体；当存在两个以上截面对象时，点击“完成”按钮，即可返回工程环境，同时生成多截面融合体；这里需要注意，第一层环境中已存在的截面对象，支持通用编辑操作，既可以移动、复制、旋转、镜像和陈列等，同时支持对已有截面对象的融合编号或角点排序进行调整；如图5

<center>

![](/uploads/pro_import_version/images/m_1e3cd85896b38ab341d6dd79fe5c0ae0_r.png)
图5
</center>


#### 多截面融合在位编辑环境

1. 在造型面板中单击“多截面融合”功能按钮，激活命令，即可进入多截面融合在位编辑环境中，除编辑、编辑器、创建截面、截面角点逆向排序、编辑截面角点和定义融合顺序功能外，其他菜单功能均置灰不可用，如图6；

<center>

![](/uploads/pro_import_version/images/m_53153a1618de16e13ae15cdc2b8d96a7_r.png)
图6

</center>

2. 位于多截面融合在位编辑环境下时，创建的截面对象支持移动、复制、旋转、镜像、陈列等通用编辑交互，且支持双击或点击编辑面积按钮，进入创建截面在位编辑环境；另外，已创建的截面对象会显示截面融合编号、截面角点编号和临时尺寸标注，如图7；

<center>

![](/uploads/pro_import_version/images/m_03865a8d1e89ee17d22194523434eb06_r.png)
图7

</center>

3. 临时尺寸标注仅在两个截面对象相互平行时才会显示，点击临时尺寸标注，还可以输入指定数值，调整截面2至截面1的空位位置，如图8；

<center>

![](/uploads/pro_import_version/images/m_3c222267f17b58d7d684098bb25236dd_r.png)
图8

</center>

#### 创建截面在位编辑环境
1. 在多截面融合在位编辑环境中单击【创建截面】，即可进入创建截面在位编辑环境中，除线编辑、编辑、编辑器、线绘制工具箱、工作平面外，其他菜单功能均置灰处理。其中线绘制工具箱同工程环境中线图元工具功能一致，工作平面同辅助建模模块中工作平面功能一致；如图9；

<center>

![](/uploads/pro_import_version/images/m_9a744ed7a293dc948dab1feded2f8b90_r.png)
图9
</center>

2. 通过线绘制工具箱绘制想要的截面轮廓线，点击【完成】即可退出该环境，返回融合体在位编辑环境，并生成截面对象，同时显示截面融合编号和角点编号，图10；

<center>

![](/uploads/pro_import_version/images/m_b75cfd68c4fabba8c09eeb8b3a4ebdd6_r.png)
图10
</center>


#### 编辑截面角点在位编辑环境
1. 在融合体在位编辑环境中单击【编辑角点】，即可进入编辑角点在位编辑环境中，除编辑器、编辑角点外，ribbon中其他菜单功能均置灰不可用，如图11；

<center>

![](/uploads/pro_import_version/images/m_4fe36f931e2281b0cbc914aebae7b3fb_r.png)
图11
</center>

2. 单击【指定起点】工具，再选定任意角点，右键确认即可将该角点指定为起点；如图12；

<center>

![](/uploads/pro_import_version/images/m_65c9704e6921b1521cac29f747c506e9_r.png)
图12
</center>


3. 单击【恢复默认】工具，即可将角点编号排序恢复至进入该环境前的状态；

#### 截面角点逆向排序
1.激活【截面角点逆向排序】工具后，选定截面对象，右键确认即可；如图13；

<center>

![](/uploads/pro_import_version/images/m_48594937e1590d54c9d0bca7941bf142_r.png)
图13
</center>

#### 定义融合顺序
1.激活【定义融合顺序】工具后，依次选择截面对象，右键确认即可；如图14；
注意：当只选择部分截面对象时，已选择截面对象按选择顺序生成对应编号，剩下截面对象按原有编号从小到大重新进行排序；

<center>

![](/uploads/pro_import_version/images/m_da95ecf382cb40d944ec73e137ce1a2f_r.png)
图14
</center>


#### 编辑多截面融合
1. 多截面融合局部坐标系设置：以截面1自身局部系作为多截面融合局部坐标系；但在工程环境下，不显示多截面融合局部坐标系；
2. 多截面融合夹点设置：基于多截面融合局部坐标系原点设置一个夹点，该夹点拖拽行为是将多截面融合整个造型进行位置移动；
3. 多截面融合属性栏设置：包含几何参数、几何属性和自定义属性，如图15；

<center>

![](/uploads/pro_import_version/images/m_0c4d4560960b292d274caf09050e1fed_r.png)
图15

</center>

4. 选择单个多截面融合时，ribbon菜单自动切换至编辑菜单，同时增加编辑多截面融合工具；选择多个多截面融合时，不显示编辑多截面融合工具。如图16；

<center>

![](/uploads/pro_import_version/images/m_6fc98be19e07d33acb6cdfe89cd92c7c_r.png)
图16

</center>