## 7.1 工作平面
### 7.1.1 创建工作平面

在任何视图下，如果没有捕捉到图素，点的坐标是无法确定的。在顶视图下，无法确定点的z坐标。在正视图下，无法确定点的y坐标。在侧视图下，无法确定点x的坐标。在透视视图下，点的x、y、z坐标均无法确定。但如果有一个面，使点被约束在这个面上，点的坐标就可以确定了，这个约束面为工作平面。目前创建工作平面的方式有四种，包含创建工作平面、拾取工作平面、单点创建工作平面和参数创建（功能菜单位于工作平面管理器中），如图1。所有创建的工作平面统一受工作平面管理器管理。

<center>

![](/uploads/pro_import_version/images/m_15754de63767839035e49ff522329537_r.png)

图1
</center>

#### 创建工作平面
* 启用【创建工作平面】功能，命令行提示：选择工作平面原点或Tab输入值；
* 指定原点后，命令行提示：按R或Shift+R切换绘制面，选择下一点或者Tab输入值确定工作平面X轴正方向，如图2所示；

<center>

![](/uploads/pro_import_version/images/m_15d974379fe0d6547534b1956cfeeabb_r.png)
图2
</center>

* 指定X轴方向后，命令行提示：选择下一点或者Tab输入值，确定工作平面Y轴正方向，如图3所示；

<center>

![](/uploads/pro_import_version/images/m_503a029db551fa651c389cfed1fef857_r.png)
图3
</center>

* 指定Y轴方向后，即生成工作平面，如图4所示。

<center>

![](/uploads/pro_import_version/images/m_44bbb021e0a16948d33542d0454d7013_r.png)
图4
</center>

#### 拾取工作平面
* 启用【拾取工作平面】功能，命令行提示：请选择面；
* 移动鼠标拾取一个平面来确定并创建一个工作平面，如图5所示；

<center>

![](/uploads/pro_import_version/images/m_b4b478da07605a3616f3cd136796791f_r.png)
图5
</center>

#### 单点创建工作平面
* 启用【单点创建工作平面】功能，命令行提示：请选择点；
* 可以通过鼠标交互或追踪器输入指定新的工作平面原点位置，指定点位后即可生成新的工作平面，工作平面XY轴同世界坐标系XY轴或激活工作平面的XY轴一致；如图6所示；

<center>

![](/uploads/pro_import_version/images/m_7f1ce9b6af98bf95b7af0a200e1fd692_r.png)
图6
</center>


#### 参数创建工作平面
* 在工作平面管理器中启用【参数创建】功能，弹出新建工作平面对话框
* 根据需要输入平面名称和平面参数，点击确定按钮，即可创建一个工作平面，如图7所示。

<center>

![](/uploads/pro_import_version/images/m_ed7a29661ba89457e19c4033d529dedb_r.png)
图7
</center>