### 7.1.2 工作平面管理
- 通过工作平面管理器工具，可以查看所有创建的工作平面数据（激活状态、名称、工作平面原点和XY轴向量等信息），同时支持开启、关闭工作平面和新建工作平面等操作。另外，通过工作平面管理器还可以编辑工作平面，如正视图、旋转工作平面、移动工作平面等等；如图1；

<center>

![](/uploads/pro_import_version/images/m_19b5696c8bd67b41fe3994b3081a0c0c_r.png)

图1
</center>

*****

#### 通用设置
1. 激活工具，弹出【工作平面管理器】操作界面，如图2所示。缺省状态下，默认不开启工作平面，同时管理器会包含一个“默认工作平面”，且默认工作平面不支持编辑/删除。

<center>

![](/uploads/pro_import_version/images/m_93fdaca47a90dd9f6c881e36f9789b7d_r.png)

图2
</center>

#### 启用工作平面
- 绘图区域右下角也提供快捷按钮来控制工作平面打开和关闭的状态，如图3；
* 通过创建工作平面相关工具，新建工作平面后，自动激活启用该工作平面；

<center>

![](/uploads/pro_import_version/images/m_1a647add336d0df9ef1dfedf2f52023e_r.png)
图3
</center>


#### 工作平面正视图
- 未启用工作平面时，正视图按钮置灰处理，不可编辑。
- 启用工作平面时，点击正视图按钮，视口切换至工作平面的当前已激活工作基面上视图，如图4所示。

<center>

![](/uploads/pro_import_version/images/m_28efa9baa2ed911683af7b7d0ce6cab2_r.png)
图4
</center>

#### 切换工作平面
- 工作平面管理列表中展示所有创建的工作平面，同时会显示已激活工作平面图标![](/uploads/pro_import_version/images/m_cfe2554461122642d0f154d05a15555a_r.png)；
- 支持单击选择指定工作平面，进行旋转、删除、编辑等交互操作；
- 支持双击选择指定工作平面并激活该工作平面；

#### 旋转工作平面
- 在输入框中输入指定角度，单击点击，即可将选中的工作平面绕自身Z轴进行旋转，当输入值为正值，则向逆时针旋转，当时输入值为负值，则向顺时针旋转。如图5；

<center>

![](/uploads/pro_import_version/images/m_8a2b3801bad04a8d92f05503855cf704_r.png)
图5
</center>

- 再次启用工作平面管理器，会记录上一次输入角度值；也支持连续点击【旋转平面】工具，会根据点击次数（N），绕工作平面自身Z轴旋转N次；如图6；


<center>

![](/uploads/pro_import_version/images/m_f555710351eabb3854a405b08e46c2e3_r.png)
图6
</center>

#### 移动工作平面
- 激活【移动平面】工具，可以将已激活工作平面移动至目标位置，即可完成工作平面移动。如图7所示。

<center>

![](/uploads/pro_import_version/images/m_0502dd71ef878d71af7f2576fc7909cf_r.png)
图7
</center>

#### 新建工作平面
- 点击【新建】按钮，弹出新建工作平面对话框，如图8所示，只需输入平面名称和平面参数，点击确定即可生成工作平面。

<center>

![](/uploads/202304/.topwrite/assets/image_1666855880074.png)
图8
</center>

#### 编辑工作平面
- 点击【编辑】按钮，弹出编辑工作平面对话框，如图9所示，根据需要输入平面名称和平面参数，点击确定即可修改成功；

<center>

![](/uploads/202304/.topwrite/assets/image_1666855961002.png)
图9
</center>

#### 删除工作平面
- 点击【删除】按钮，弹出提示对话框【是否确定删除？】，如图10所示。若选定工作平面，点击确定即删除选定工作平面；若未选定工作平面，点击确定，即删除当前工作平面，若删除当前工作平面，则删除后自动激活默认工作平面（即WCS坐标系状态）。默认工作平面不允许删除。

<center>

![](/uploads/202304/.topwrite/assets/image_1666856158241.png)
图10
</center>