### 7.2.1 临时坐标系定义与显示样式

<center>

![](/uploads/pro_import_version/images/m_d817fc8c57747d351e69b947facefbce_r.png)
图7.2.1-1
</center>

#### 临时坐标系的定义
* 概念：
临时坐标系是用户在使用建模或者编辑工具的流程中，用来辅助空间点定位的XYZ坐标系，是定义相对坐标的参照坐标系，通常只显示XY轴，Z轴不显示，但是程序会根据右手坐标法则计算记录Z轴方向。

* 临时坐标系的原点：
建模或者编辑工具定义的参照点的位置（确定目标点所依据的参照点）。

* 临时坐标系的方向：
临时坐标系的初始方向状态会根据各个工具的特征有不同的预设，用户可以通过快捷键【R】或【shift+R】切换临时坐标系的方向，从而改变确定目标点坐标的参照坐标系；
程序会根据不同工具的特征来设置是否允许切换临时坐标系生效。

#### 临时坐标系的显示样式
##### 临时坐标系的默认样式：

<center>

![](/uploads/pro_import_version/images/m_c98297d2d0ee1d6566ab5e01824ceb92_r.png)
图7.2.1-2
</center>

##### 临时坐标系和罗盘会在不同的条件下有灰显显示的状态：
- 临时坐标系灰显：表示临时坐标系不允许切换生效。
- 罗盘灰显：表示绘制编辑会约束投影在当前临时坐标系XOY面上。

##### 示例1：
临时坐标系不灰显，罗盘灰显。
（临时坐标系允许切换，但绘制编辑约束投影在当前临时坐标系XOY面上。）

<center>

![](/uploads/pro_import_version/images/m_f46ec286782d5b08b6f7a06f8b64646a_r.png)
图7.2.1-3
</center>

##### 示例2：
临时坐标系和罗盘均灰显。
（绘制编辑约束投影在当前临时坐标系XOY面上，且临时坐标系不允许切换。）

<center>

![](/uploads/pro_import_version/images/m_78143e411b86a15f77066636d154e17c_r.png)
图7.2.1-4
</center>