## 9.2面域
*****

### 9.2.1面域
面域工具可以依据在位编辑环境中的二维闭合轮廓线数据生成附着于地形的面域构件。
*****

#### 操作步骤
**1. 激活功能命令**
- 激活【面域】工具，命令行提示“请选择一个地形，右键确认”。拾取一个地形构件后，右键确认即可进入在位编辑环境中；如图9.2.1-1；

<center>

![](/uploads/pro_import_version/images/m_f62fc050a94e6cc08e7732304040feb8_r.png)

图9.2.1-1
</center>

**2. 绘制面域轮廓线**
- 可以通过ribbon菜单中图形面板里的工具（线段、多段线、矩形线、任意多边形线、正多边形线、圆弧、圆形线、椭圆线、拾取线等）绘制面域轮廓线，同时支持对面域轮廓线进行线编辑等操作；如图9.2.1-2；
注：ribbon中创建面域菜单下的图形工具与图元建模中的图形工具功能一致；

<center>

![](/uploads/pro_import_version/images/m_d4e63123730b33d5d3b6dc93c4b9efc5_r.png)
图9.2.1-2
</center>

- 点击视口空白处，可显示视图属性栏，包含厚度、材质等参数，如图3；

<center>

![](/uploads/pro_import_version/images/m_eed16160b884e10804c6e1d7bf21b87c_r.png)
图9.2.1-3
</center>


**3. 完成创建**
- 绘制完面域轮廓线后，点击【完成】命令即可生成附着于地形的面域构件，同时退出在位编辑环境。如图9.2.1-4；

<center>

![](/uploads/pro_import_version/images/m_99d9a2252d9cd48df42a9567a60e38b4_r.png)
图9.2.1-4
</center>

#### 操作步骤
**1. 属性栏编辑交互**

- 选定面域构件后，可通过编辑属性栏中厚度、材质、投影面积、体积等参数对面域进行编辑交互；如图5；
  **厚度：**当输入为正值时，延世界坐标系Z轴正方向拉伸；当输入值为负值时，延世界坐标系Z轴负方向拉伸；允许厚度为“0”；当为“0”时，面域为一个面，与地形重合；
  **材质：**给面域附着一个纹理贴图，同时支持通过材质库工具给选定面域附着纹理贴图；
  **投影面积：**即在位编辑环境中面域轮廓线围合的平面面积；
  **体积：**面域构件的实体体积；


<center>

![](/uploads/pro_import_version/images/m_d7363d2229baa5127d8fcffd59dd221f_r.png)

图9.2.1-5
</center>

**2. 双击编辑面域构件**
-选定面域构件后，可以点击ribbon菜单中的【编辑面域】工具，进入在位编辑环境；
-或选定面域构件后，可双击鼠标左键弹出提示对话框，点击【确定】按钮后，即可进入在位编辑环境对面域轮廓线进行编辑交互；如图9.2.1-6；

<center>

![](/uploads/pro_import_version/images/m_ff7169496e006f52234deb03f04980f2_r.png)

图9.2.1-6
</center>