## 5.1 应用

### 5.1.1 类别属性管理器
该功能允许用户管理、选择项目标准集，并支持为系统和自定义构件添加类型和属性。自定义属性可以被指定名称、类型和默认值。项目标准集支持导入和导出，方便快速进行项目配置。

------------

#### 属性管理器面板及参数说明
点击“类别属性管理器”图标，可激活该功能窗口，如图1所示。该窗口分为三个区域：标准集管理区域、类别菜单和属性菜单。

<center>

![](/uploads/pro_import_version/images/m_0f158c6e7094f4e16a254d5dfaff3621_r.png)

图5.1.1-1
</center>

------------

**1. 标准集**
- 在“标准集”页签内，允许选择当前项目所应用标准集。缺省状态下，标准集下拉框包含“默认”和“无”两个选项，默认选择“默认”标准集。同时还可以支持新建标准或对标准集进行编辑、复制、删除、导入导出等操作，如图5.1.1-2所示。

<center>

![](/uploads/pro_import_version/images/m_a18c05c9825e27fa82ba2485fd71d663_r.png)
图5.1.1-2
</center>

- 标准集功能按钮说明：
 1）新增：创建新的标准集；
 2）编辑：对选定标准集的名称进行重命名；
 3）复制：对选定标准集进行复制，复制一个新的标准集，且附带该标准集所包含的所有数据信息；
 4）删除：删除当前选择的标准集。
 5）导入：选择一个标准集文件导入当前项目中，支持导入.bzj文件。
 6）导出：选择需要导出的一个或多个标准集，并以.bzj文件储存至指定路径。

- 类别映射管理
  类别映射管理功能可以将标准类别与系统类别之间建立映射关系。点击映射管理工具，在弹出的对话框中，右侧显示的是系统类别，左侧显示为自定义类别，缺省状态，自定义类别统一为“未定义”，可以点击自定义类别右侧的编辑按钮，在弹出的对话框中选择已有标准类别，即可建立映射关系，如图5.1.1-3；

<center>

![](/uploads/pro_import_version/images/m_f6796f136ca967cfbe368a92a7d90f09_r.png)

图5.1.1-3
</center>


**2. 类别菜单**
- 在类别菜单下，可以通过类别过滤器控制类别树中需要显隐的类别对象；还可通过搜索框输入关键字模糊搜索指定内容，还可以点击新建工具，输入类别名称新建标准类别，在类别树中层级不做限制；通过删除工具，可以删除选定对象；如图5.1.1-4；

<center>

![](/uploads/pro_import_version/images/m_4044056ed994a94174577b0a94e02bb7_r.png)

图5.1.1-4
</center>


- 另外，选定任意标准类别，点击鼠标右键可以弹出右键菜单，支持新建、复制、移动到、重命名、删除等操作，如图5.1.1-5；

<center>

![](/uploads/pro_import_version/images/m_4240d0104ea1fe9c36dedb51e1952a2a_r.png)

图5.1.1-5
</center>

- 选择任意对象，可以通过附加工具，未该对象附加属性信息，在弹出对话框中，勾选指定属性对象，点击确定即可附加到类别对象上；已经附加的属性，支持手动编辑属性默认值，还可以通过点击关联按钮，恢复初始默认值；。如图5.1.1-6所示。

<center>

![](/uploads/pro_import_version/images/m_4f0189e9e39e5ca7e9301ee5b0b41ab8_r.png)

图5.1.1-6
</center>


**3. 属性菜单**
- 在属性菜单下，可以通过搜索框输入关键字模糊搜索指定内容，也可以点击新建属性集工具，输入属性集名称新建属性集，还可以点击新建属性工具，输入属性名称新建自定义属性，同时，可以通过删除工具删除选定对象，如图5.1.1-7；

<center>

![](/uploads/pro_import_version/images/m_9e7718362ffc0c7873fbc2a4e980ba3c_r.png)

图5.1.1-7
</center>


- 另外，选择任意属性集或属性，可以对其名称、属性分组、数据类型、默认值进行编辑交互，目前数据类型包含11种常用类型，包含“字符串”、“整数”、“浮点”、“布尔”、“附件”、“枚举”、“二维坐标”、“三维坐标”、“日期”、“数组”和“链接”等，如图5.1.1-8；

<center>

![](/uploads/pro_import_version/images/m_cbc22260c7edc961430ce48bb6a016d3_r.png)

图5.1.1-8
</center>


- 同时，选择任意对象，还可以通过附加工具将选定属性附加到指定标准类别上，如图5.1.1-9；

<center>

![](/uploads/pro_import_version/images/m_5b7101342688dc779141618b42a580e2_r.png)

图5.1.1-9
</center>



#### 其他说明
- 按映射关系更新既有数据选项，在没有勾选时，对构件类别为未定义的实例构件不会同步更新数据；但新建构件会按映射关系自动挂载类别属性信息；当勾选按映射关系更新既有数据选项时，没有挂载标准类别的实例构件会同步更新数据；如图5.1.1-10；


<center>

![](/uploads/pro_import_version/images/m_dbeb83ded120aca9b8017cd125a7037e_r.png)

图5.1.1-10
</center>


- 实例构件也支持手动编辑修改构件类别，通过点击编辑按钮，可以在选择类别对话框中指定标准类别，点击确定按钮即可挂载成功，同时扩展属性也会同步更新，且扩展属性也支持手动编辑修改属性值；如图5.1.1-11；


<center>

![](/uploads/pro_import_version/images/m_d33a403b5327290336cf766730ecb75c_r.png)

图5.1.1-11
</center>

- 当选择多个对象时，也支持编辑构件类别，选定的类别会更新到所有选定对象上，如图5.1.1-12；


<center>

![](/uploads/pro_import_version/images/m_f877d75697ed4502842662507ca6d77d_r.png)

图5.1.1-12
</center>