# 第四章 图元建模
*****
## 4.0 精确建模交互统一机制
### 内容介绍
交互统一机制是在BIMBase软件中进行图元建模的基础。
本节将主要介绍建模过程中主要涉及到的交互原理，以及建模过程中进行交互时，需要使用的功能键与快捷键。

### 目录导航
 * [4.0.1 临时坐标系（详解）](../第四章图元建模.md/4.0精确建模交互统一机制.md/4.0.1临时坐标系（详解）.md)
 * [4.0.2 交互机制](../4.0.2交互机制.md)
 * [4.0.3 功能键使用统一说明](../4.0.3功能键使用统一说明.md)
 * [4.0.3 交互过程高频快捷键使用说明](../第四章图元建模.md/4.0精确建模交互统一机制.md/4.0.4交互过程高频快捷键使用说明.md)

### 相关概念说明
* **WCS：**
当前工程文件的世界坐标系。
* **实体坐标系：**
几何图元本身的构造坐标系，实体坐标系的原点可能在角点或者形心，或者底面中点，程序根据每个图元构件的特点定义实体坐标系的位置以及坐标系方向。
* **临时坐标系：**
建模或者编辑过程中临时存在的辅助定位坐标系。
* **屏幕坐标系：**
屏幕水平向右为X轴正方向，屏幕垂直向上为Y轴正方向。
* **视坐标平面：**
与屏幕对齐的平面，即由屏幕坐标系确定的XOY平面。
* **相对坐标：**
参照当前临时坐标系的坐标值。
* **绝对坐标：**
参照WCS世界坐标系的坐标值。