## 4.4造型
### 4.4.1扫掠体
在扫掠体在位编辑环境中，分别创建扫掠路径和截面对象，单击完成按钮，即可生成扫掠体，功能位置如图1。

<center>

![](/uploads/pro_import_version/images/m_716c184ccf089be99192277fbf186ffa_r.png)
图1
</center>


*****

#### 扫掠体在位编辑环境
1. 在造型面板中单击“扫掠体”功能按钮，激活命令，即可进入扫掠体在位编辑环境中，支持编辑、编辑器、创建路径、创建截面功能外，其他菜单功能均置灰不可用，如图2；

<center>

![](/uploads/pro_import_version/images/m_30636c1e286af69cc0e8c572ff89c11c_r.png)
图2
</center>

2.扫掠体在位编辑环境下，扫掠路径和截面对象均支持通用编辑交互，当对扫掠路径进行通用编辑交互时，截面对象同步更新；但编辑截面对象时，不影响扫掠路径。另外，只有创建完扫掠路径后才可以继续创建截面对象。

#### 创建截面在位编辑环境
1.扫掠体在位编辑环境中单击【创建路径】工具，即可进入创建扫掠路径在位编辑环境中，除线编辑、编辑、编辑器、线绘制工具箱外，其他菜单功能均置灰处理。其中线绘制工具箱同工程环境中线图元工具功能一致，如图3；

<center>

![](/uploads/pro_import_version/images/m_fac40569baafecda1e413965897d8522_r.png)
图3 

</center>

2.通过线绘制工具箱绘制想要的扫掠路径，点击【完成】即可退出该环境，返回扫掠体在位编辑环境，并基于扫掠路径第一段线段图元中点生成一个工作平面，后续可以基于该工作平面绘制截面轮廓，图4；


<center>

![](/uploads/pro_import_version/images/m_af1e7352a80340021238873b347ca861_r.png)
图4

</center>



#### 创建截面在位编辑环境
1.在扫掠体在位编辑环境中单击【创建截面】工具，即可进入创建截面在位编辑环境中，除线编辑、编辑、编辑器、线绘制工具箱、截面平面正视图外，其他菜单功能均置灰处理。其中线绘制工具箱同工程环境中线图元工具功能一致，如图5；
 
<center>

![](/uploads/pro_import_version/images/m_e194a6c29d80b3fbb3fc4d35a9265dd1_r.png)
图5

</center>



2.在创建截面在位编辑环境中，点击【完成】按钮，即可对截面轮廓进行合规性判断，当满足合规性时，则返回上一层在位编辑环境，同时生成扫掠体预览，如图6；

<center>

![](/uploads/pro_import_version/images/m_29556575459cc118b8b3afdb76b62cb5_r.png)
图6

</center>

3.当扫掠体在位编辑环境中已存在截面对象时，单击【选择截面】，则弹窗提示【切换创建方式会删除已创建轮廓线，是否确定要切换？】，当点击【确定】后，则删除已有截面对象，可以指定基点布置【选择截面】下拉框中的选定对象；如图7。

<center>

![](/uploads/pro_import_version/images/m_a101c38f949ead4b436c2e19d3f468d4_r.png)
图7

</center>

4.当通过【选择截面】已布置一个截面对象后，再次通过下拉框选择其他截面对象时，则直接将指定对象替换已有截面对象；

#### 编辑扫掠体
1.工程环境下，不显示扫掠体局部坐标系；
2.扫掠体属性栏包含几何参数、几何属性和自定义属性，如图8；

<center>

![](/uploads/pro_import_version/images/m_6f0ea580f562f7116509ceb3caf9c52e_r.png)
图8
</center>

3.几何参数说明：
- 构件原点XYZ坐标值：即扫掠体实体坐标系原点坐标值，可以改变扫掠体在空间中的位置；

4.几何属性说明：
- 截面名称：选择“绘制截面”绘制的截面轮廓，截面名称为“临时截面”；选择“选择截面”布置的截面，截面名称为截面集中选定截面的截面名称；
- 截面编辑按钮（截面名称右边）：仅对“选择截面”的截面对象有效，点击后直接进入截面编辑环境，即可对截面轮廓进行二次编辑交互；
- 替换截面：点击后弹出截面选择框，可选择截面集中任何截面对象，对当前截面数据进行替换，如图9；

<center>

![](/uploads/pro_import_version/images/m_a74d90cda3c6bec265f2cdeb259161cc_r.png)
图9
</center>

- 自定义属性：即可以单击编辑按钮，在弹出的自定义类别选择框中，可以选择任意类别进行属性挂载，如图10；

<center>

![](/uploads/pro_import_version/images/m_b79c7326e886fc6e3f8d80d7510a44e8_r.png)
图10
</center>